/*--=============================================
   =          busquedaVideojuegos         =
==============================================-*/
.busquedaVideojuegos {
   grid-template-rows: repeat(2, auto);
   grid-template-areas:
      "form-busqueda"
      "resultado";
}

.busquedaVideojuegos .seccion_formulario {
   grid-area: form-busqueda;
}

.busquedaVideojuegos .seccion_formulario form {
   display: grid;
   grid-gap: 25px;
}
.busquedaVideojuegos .seccion_formulario form .entradas {
   display: grid;
   grid-gap: 20px;
   grid-template-columns: 3fr 2fr 2fr 2fr 1fr;
}

.busquedaVideojuegos .seccion_formulario form .entradas .form-label {
   font-weight: bold;
   color: #6c757d;
}

.busquedaVideojuegos .seccion_formulario form .boton_enviar {
   color: #ffffff;
   width: auto;
   min-width: 200px;
}

.busquedaVideojuegos .seccion_biblioteca {
   grid-area: resultado;
   display: none;
}

.busquedaVideojuegos .seccion_biblioteca .galeria__tag {
   text-align: center;
   margin: 20px auto;
}

.busquedaVideojuegos .seccion_biblioteca .galeria__tag .form-label {
   font-weight: bold;
   color: #6c757d;
}

.modalDetalleVideojuego .modal-header,
.modalDetalleVideojuego .modal-body,
.modalDetalleVideojuego .modal-footer {
   background: var(--primary-home-bg);
   border: none;
}

.modalDetalleVideojuego .modal-header h5 {
   color: var(--primary-home-color-text);
}

.modalDetalleVideojuego .modal-header h5 {
   font-weight: bold;
}

.modalDetalleVideojuego .modal-body {
   display: grid;
   grid-gap: 15px;
   grid-template-columns: repeat(6, 1fr);
   grid-template-rows: repeat(3, 1fr);

   grid-template-areas:
      "info    info     info     info     image    image"
      "screenshots   screenshots    screenshots    franchises    franchises    franchises   "
      "series   series    series    similar   similar   similar";
}

.modalDetalleVideojuego .modal-body .modal__title {
   grid-area: title;
}

.modalDetalleVideojuego .modal-body .modal_info {
   grid-area: info;
}

.modalDetalleVideojuego .modal-body .modal_image {
   grid-area: image;
}

.modalDetalleVideojuego .modal-body .modal_screenshots {
   grid-area: screenshots;
}

.modalDetalleVideojuego .modal-body .modal_franchises {
   grid-area: franchises;
}

.modalDetalleVideojuego .modal-body .modal_series {
   grid-area: series;
}

.modalDetalleVideojuego .modal-body .modal_similar {
   grid-area: similar;
}

.modalDetalleVideojuego .modal-body .modal_buttons {
   grid-area: buttons;
}

.modalDetalleVideojuego .row {
   padding: 5px 0;
}

.modalDetalleVideojuego .row .modal_info--attribute * {
   font-weight: bold;
   font-size: 18px;
}

.modalDetalleVideojuego .row .modal_info--value h6 {
   font-weight: bold;
   font-size: 15px;
}

.modalDetalleVideojuego .modal-body .modal_info .modal_info--value .link {
   text-decoration: none;
}

.modalDetalleVideojuego .modal-body .modal_info .modal_info--value .link:hover {
   color: #ffffff;
}

.modalDetalleVideojuego .modal-body .modal_info,
.modalDetalleVideojuego .modal-body .modal_image {
   display: flex;
   justify-content: center;
   align-items: center;
   padding: 10px;
}

.modalDetalleVideojuego .modal-body .modal_image img {
   width: 100%;
   object-fit: cover;
   border-radius: 10px;
}

/* Owl Carousel */
.modalDetalleVideojuego .modal-body .modal_screenshots .single-item,
.modalDetalleVideojuego .modal-body .modal_franchises .single-item,
.modalDetalleVideojuego .modal-body .modal_series .single-item,
.modalDetalleVideojuego .modal-body .modal_similar .single-item {
   position: relative;
   z-index: 1;
   overflow: hidden;
   -webkit-transition-duration: 500ms;
   -o-transition-duration: 500ms;
   transition-duration: 500ms;
   border-radius: 10px;
   /* margin: 0 5px; */
}

.modalDetalleVideojuego .modal-body .modal_screenshots .single-item img {
   width: 100%;
   height: 150px;
   -webkit-transition-duration: 1500ms;
   -o-transition-duration: 1500ms;
   transition-duration: 1500ms;
}

.modalDetalleVideojuego .modal-body .modal_franchises .single-item img,
.modalDetalleVideojuego .modal-body .modal_series .single-item img,
.modalDetalleVideojuego .modal-body .modal_similar .single-item img {
   width: 100%;
   -webkit-transition-duration: 1500ms;
   -o-transition-duration: 1500ms;
   transition-duration: 1500ms;
}

.modalDetalleVideojuego .modal-body .modal_screenshots .single-item:hover img,
.modalDetalleVideojuego .modal-body .modal_franchises .single-item:hover img,
.modalDetalleVideojuego .modal-body .modal_series .single-item:hover img,
.modalDetalleVideojuego .modal-body .modal_similar .single-item:hover img {
   -webkit-transform: scale(1.1);
   -ms-transform: scale(1.1);
   transform: scale(1.1);
}

.modalDetalleVideojuego .modal-footer {
   display: flex;
   justify-content: center;
   align-items: center;
}

/*--=============================================
            =          Media-query         =
==============================================-*/
@media (max-width: 640px) {
   .sidebar.close .nav-links li .sub-menu {
      display: none;
   }

   .busquedaVideojuegos .seccion_formulario form .entradas {
      grid-template-columns: 1fr;
   }

   .modalDetalleVideojuego .modal-body {
      grid-template-columns: 1fr;
      grid-template-rows: 1fr;

      grid-template-areas:
         "image"
         "info"
         "screenshots"
         "franchises"
         "series"
         "similar";
   }
}

@media only screen and (min-width: 640px) {
   .busquedaVideojuegos .seccion_formulario form .entradas {
      grid-template-columns: 1fr;
   }

   .modalDetalleVideojuego .modal-body {
      grid-template-columns: 1fr;
      grid-template-rows: 1fr;

      grid-template-areas:
         "image"
         "info"
         "screenshots"
         "franchises"
         "series"
         "similar";
   }
}

@media only screen and (min-width: 960px) {
   .busquedaVideojuegos .seccion_formulario form .entradas {
      grid-template-columns: repeat(2, auto);
   }

   .modalDetalleVideojuego .modal-body {
      grid-template-columns: 1fr;
      grid-template-rows: 1fr;

      grid-template-areas:
         "image"
         "info"
         "screenshots"
         "franchises"
         "series"
         "similar";
   }
}

@media only screen and (min-width: 990px) {
   .modalDetalleVideojuego .modal-body {
      grid-template-columns: repeat(2, 1fr);
      grid-template-rows: repeat(3, minmax(1fr, auto));

      grid-template-areas:
         "info image"
         "screenshots franchises"
         "series similar";
   }
}

@media only screen and (min-width: 1200px) {
   .modalDetalleVideojuego .modal-body {
      display: grid;
      grid-gap: 15px;
      grid-template-columns: repeat(6, 1fr);
      grid-template-rows: repeat(3, minmax(1fr, auto));

      grid-template-areas:
         "info    info     info     info     image    image"
         "screenshots   screenshots    screenshots    franchises    franchises    franchises   "
         "series   series    series    similar   similar   similar";
   }
}

@media only screen and (min-width: 1280px) {
   .busquedaVideojuegos .seccion_formulario form .entradas {
      grid-template-columns: 3fr 2fr 2fr 2fr 1fr;
   }

   .modalDetalleVideojuego .modal-body {
      display: grid;
      grid-gap: 15px;
      grid-template-columns: repeat(6, 1fr);
      grid-template-rows: repeat(3, minmax(1fr, auto));

      grid-template-areas:
         "info    info     info     info     image    image"
         "screenshots   screenshots    screenshots    franchises    franchises    franchises   "
         "series   series    series    similar   similar   similar";
   }
}
